﻿namespace AboutModule
{
    using Microsoft.Practices.Composite.Modularity;
    using Microsoft.Practices.Composite.Regions;

    /// <summary>
    /// Displays the company's logo.
    /// </summary>
    [Module(ModuleName = "AboutModule")]
    public class AboutModule : IModule
    {
        /// <summary>
        /// CAL Region Manager
        /// </summary>
        private readonly IRegionManager regionManager;

        /// <summary>
        /// Initializes a new instance of the AboutModule class.
        /// </summary>
        /// <param name="regionManager">The injected CAL region manager.</param>
        public AboutModule(IRegionManager regionManager)
        {
            this.regionManager = regionManager;
        }

        /// <summary>
        /// Register views or services to CAL.
        /// </summary>
        /// <remarks>This is the module's "Main" method, to be called by CAL.</remarks>
        public void Initialize()
        {
            this.regionManager.RegisterViewWithRegion(
                "MainRegion",
                typeof(Views.U2UConsultLogo));
        }
    }
}
