﻿namespace Infrastructure
{
    using Microsoft.Practices.Composite.Presentation.Commands;

    /// <summary>
    /// Collection of global commands.
    /// </summary>
    public static class GlobalCommands
    {
        /// <summary>
        /// The "Clear"-command.
        /// </summary>
        public static CompositeCommand ClearCommand = new CompositeCommand();
    }

    /// <summary>
    /// Proxy for the ClearCommand.
    /// </summary>
    public class ClearCommandProxy
    {
        /// <summary>
        /// Gets a reference to the ClearCommand.
        /// </summary>
        /// <remarks>To be overridden for testing/mocking.</remarks>
        public virtual CompositeCommand ClearCommand
        {
            get
            {
                return GlobalCommands.ClearCommand;
            }
        }
    }
}
