﻿namespace U2UConsult.CAL.Sample
{
    using System.Windows;
    using Microsoft.Practices.Composite.Modularity;
    using Microsoft.Practices.Composite.UnityExtensions;

    /// <summary>
    /// Launches the main window, after registering CAL services.
    /// </summary>
    internal class Bootstrapper : UnityBootstrapper
    {
        /// <summary>
        /// Displays the Shell, and returns it to to bootstrapper to attach 
        /// a region manager.
        /// </summary>
        /// <returns>A Shell instance.</returns>
        protected override DependencyObject CreateShell()
        {
            Shell shell = new Shell();
            shell.Show();
            return shell;
        }

        /// <summary>
        /// Returns the CAL Module Catalog.
        /// </summary>
        /// <returns>A catalog containing the registered CAL modules.</returns>
        protected override IModuleCatalog GetModuleCatalog()
        {
            //// ModuleCatalog catalog = new ModuleCatalog();
            //// catalog.AddModule(typeof(AboutModule.AboutModule));
            //// catalog.AddModule(typeof(GlobalCommandsModule.GlobalCommandsModule));
            //// catalog.AddModule(typeof(SelectionModule.SelectionModule));
            //// catalog.AddModule(typeof(StatusModule.StatusModule));

            DirectoryModuleCatalog dynamicCatalog = new DirectoryModuleCatalog();
            dynamicCatalog.ModulePath = "../../Modules";

            //// foreach (var module in dynamicCatalog.Modules)
            //// {
            ////     catalog.AddModule(module);
            //// }

            //// return catalog;

            return dynamicCatalog;
        }
    }
}
